netatalk: unix.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
unix.h File Reference
`#include <arpa/inet.h>`
`#include "config.h"`
`#include "volume.h"`

Go to the source code of this file.

## Macros
#define | f_frsize f_bsize

## Functions
int | uquota_getvolspace (const AFPObj *obj, struct vol *, VolSpace *, VolSpace *, const uint32_t)
int | setdirunixmode (const struct vol *, char *, mode_t)
int | setdirmode (const struct vol *, const char *, mode_t)
int | setdirowner (const struct vol *, const char *, const uid_t, const gid_t)
int | setfilunixmode (const struct vol *, struct path *, const mode_t)
int | setfilowner (const struct vol *, const uid_t, const gid_t, struct path *)
void | accessmode (const AFPObj *obj, const struct vol *, char *, struct maccess *, struct dir *, struct stat *)
| Calculate the mode for a directory using a stat() call to estimate permission.

## Variables
struct afp_options | default_options

## Macro Definition Documentation

## ◆ f_frsize

#define f_frsize f_bsize

## Function Documentation

## ◆ accessmode()

void accessmode | ( | const AFPObj * | obj,
|  | const struct vol * | vol,
|  | char * | path,
|  | struct maccess * | ma,
|  | struct dir * | dir,
|  | struct stat * | st )
| extern

Calculate the mode for a directory using a stat() call to estimate permission.

Note
  the previous method, using access(), does not work correctly over NFS.

## ◆ setdirmode()

int setdirmode | ( | const struct vol * | ,
|  | const char * | ,
|  | mode_t | )
| extern

## ◆ setdirowner()

int setdirowner | ( | const struct vol * | vol,
|  | const char * | name,
|  | const uid_t | uid,
|  | const gid_t | gid )
| extern

## ◆ setdirunixmode()

int setdirunixmode | ( | const struct vol * | vol,
|  | char * | name,
|  | mode_t | mode )
| extern

## ◆ setfilowner()

int setfilowner | ( | const struct vol * | vol,
|  | const uid_t | uid,
|  | const gid_t | gid,
|  | struct path * | path )
| extern

## ◆ setfilunixmode()

int setfilunixmode | ( | const struct vol * | vol,
|  | struct path * | path,
|  | const mode_t | mode )
| extern

## ◆ uquota_getvolspace()

int uquota_getvolspace | ( | const AFPObj * | obj,
|  | struct vol * | vol,
|  | VolSpace * | bfree,
|  | VolSpace * | btotal,
|  | const uint32_t | bsize )
| extern

## Variable Documentation

## ◆ default_options

struct afp_options default_options
| extern